CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} )

SET( HSADMINC_SRC abstractcmdlineparser.cpp cmdlineparser.cpp configfile.cpp hsadminc.cpp httpclient.cpp logger.cpp sslclient.cpp transaction.cpp xmlparser.cpp )

ADD_EXECUTABLE( hsadminc ${HSADMINC_SRC} )
TARGET_LINK_LIBRARIES( hsadminc ${HSADMINC_LIB} )

INSTALL( TARGETS hsadminc RUNTIME DESTINATION bin )

